## org.eclipse.datatools.modelbase.sql.constraints.impl
Class AssertionImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
                  org.eclipse.datatools.modelbase.sql.constraints.impl.AssertionImpl

All Implemented Interfaces:
  Assertion, Constraint, SQLObject

    public class AssertionImpl

extends ConstraintImpl
implements Assertion

An implementation of the model object 'Assertion'.

The following features are implemented:

- `Search Condition`
- `Schema`
- `Constrained Tables`

Method Summary
`Schema` `basicGetSchema()`
`NotificationChain` `basicSetSchema(Schema newSchema, NotificationChain msgs)`
`NotificationChain` `basicSetSearchCondition(SearchCondition newSearchCondition, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getConstrainedTables()`
`Schema` `getSchema()`
`SearchCondition` `getSearchCondition()`
`void` `setSchema(Schema newSchema)`
`void` `setSearchCondition(SearchCondition newSearchCondition)`

Methods inherited from class org.eclipse.datatools.modelbase.sql.constraints.impl.ConstraintImpl
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred, toString`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSearchCondition

    public SearchCondition getSearchCondition()

  Specified by:
    `getSearchCondition` in interface `Assertion`
  Returns:
    the value of the 'Search Condition' containment reference.
  See Also:
    `Assertion.setSearchCondition(SearchCondition)`, `SQLConstraintsPackage.getAssertion_SearchCondition()`

### basicSetSearchCondition

    public NotificationChain basicSetSearchCondition(SearchCondition newSearchCondition,
                                                     NotificationChain msgs)

### setSearchCondition

    public void setSearchCondition(SearchCondition newSearchCondition)

  Specified by:
    `setSearchCondition` in interface `Assertion`
  Parameters:
    `newSearchCondition` - the new value of the 'Search Condition' containment reference.
  See Also:
    `Assertion.getSearchCondition()`

### getSchema

    public Schema getSchema()

  Specified by:
    `getSchema` in interface `Assertion`
  Returns:
    the value of the 'Schema' reference.
  See Also:
    `Assertion.setSchema(Schema)`, `SQLConstraintsPackage.getAssertion_Schema()`, `Schema.getAssertions()`

### basicGetSchema

    public Schema basicGetSchema()

### basicSetSchema

    public NotificationChain basicSetSchema(Schema newSchema,
                                            NotificationChain msgs)

### setSchema

    public void setSchema(Schema newSchema)

  Specified by:
    `setSchema` in interface `Assertion`
  Parameters:
    `newSchema` - the new value of the 'Schema' reference.
  See Also:
    `Assertion.getSchema()`

### getConstrainedTables

    public EList getConstrainedTables()

  Specified by:
    `getConstrainedTables` in interface `Assertion`
  Returns:
    the value of the 'Constrained Tables' reference list.
  See Also:
    `SQLConstraintsPackage.getAssertion_ConstrainedTables()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `SQLObjectImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `SQLObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ConstraintImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ConstraintImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ConstraintImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ConstraintImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.